Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class XmlGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.XmlGroovyMethods

    public class XmlGroovyMethods
    extends Object

This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

Authors:
  Paul King
  Jochen Theodorou

Method Summary
`static Iterator` | `iterator(NodeList nodeList)` Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### iterator

    public static Iterator iterator(NodeList nodeList)

  Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
  Parameters:
    `nodeList` - a NodeList
  Returns:
    an Iterator for a NodeList
  Since:
    1.0

Copyright © 2003-2010 The Codehaus. All rights reserved.